// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef COLOR_LIST_H
#define COLOR_LIST_H

static unsigned int colors[] =
{
    0x00FF00,
    0x0000FF,
    0xFF0000,
    0x01FFFE,
    0xFFA6FE,
    0xFFDB66,
    0x006401,
    0x010067,
    0x95003A,
    0x007DB5,
    0xFF00F6,
    0xFFEEE8,
    0x774D00,
    0x90FB92,
    0x0076FF,
    0xD5FF00,
    0xFF937E,
    0x6A826C,
    0xFF029D,
    0xFE8900,
    0x7A4782,
    0x7E2DD2,
    0x85A900,
    0xFF0056,
    0xA42400,
    0x00AE7E,
    0x683D3B,
    0xBDC6FF,
    0x263400,
    0xBDD393,
    0x00B917,
    0x9E008E,
    0x001544,
    0xC28C9F,
    0xFF74A3,
    0x01D0FF,
    0x004754,
    0xE56FFE,
    0x788231,
    0x0E4CA1,
    0x91D0CB,
    0xBE9970,
    0x968AE8,
    0xBB8800,
    0x43002C,
    0xDEFF74,
    0x00FFC6,
    0xFFE502,
    0x620E00,
    0x008F9C,
    0x98FF52,
    0x7544B1,
    0xB500FF,
    0x00FF78,
    0xFF6E41,
    0x005F39,
    0x6B6882,
    0x5FAD4E,
    0xA75740,
    0xA5FFD2,
    0xFFB167,
    0x009BFF,
    0xE85EBE
};

#endif /* COLOR_LIST_H */
