// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   core_objects.h
 * Author: gleseach
 *
 * Created on 27 septembre 2016, 18:47
 */

#ifndef CORE_OBJECTS_H
#define CORE_OBJECTS_H

#include "3d/context.h"
#include "3d/buffer.h"
#include "3d/draw_mode.h"
#include "3d/vertex_array_object.h"
#include "3d/vertex_attrib_array.h"
#include "3d/texture.h"
#include "3d/program.h"
#include "3d/shader_list.h"
#include "3d/helper.h"
#include "3d/meta.h"
#include "3d/framebuffer.h"

#endif /* CORE_OBJECTS_H */

