// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   fullscreen_quad.h
 * Author: gleseach
 *
 * Created on 30 mai 2016, 18:47
 */

#ifndef UTILS_H
#define UTILS_H

namespace OGL
{

class Context;
class StaticMesh;

class Utils2
{
public:
    virtual ~Utils2();
    virtual OGL::StaticMesh* createFullscreenVao(OGL::Context* ctx) = 0;
    virtual void printInfo() = 0;
};

}

#endif /* UTILS_H */

