// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   dataset_visibility_globe.h
 * Author: gleseach
 *
 * Created on 4 janvier 2018, 17:59
 */

#ifndef DATASET_VISIBILITY_GLOBE_H
#define DATASET_VISIBILITY_GLOBE_H

#include "3d/dataset_visibility.h"

class DataSet;

class DataSetVisibilityGlobe final : public DataSetVisibility
{
public:
    DataSetVisibilityGlobe();
    ~DataSetVisibilityGlobe() override;

    void update() override;
    void computeDataSetVisibility(DataSet* dataSet);
};

#endif /* DATASET_VISIBILITY_GLOBE_H */
